petsc-3.12.1 2019-10-22
Report Typos and Errors

# DMCompositeGetEntriesArray

Gets the DM for each entry in a DMComposite.

### Synopsis

    #include "petscdmcomposite.h"
    PetscErrorCode DMCompositeGetEntriesArray(DM dm,DM dms[])

Not Collective

### Input Parameter

dm -the packer object

### Output Parameter

dms -array of sufficient length (see DMCompositeGetNumberDM()) to hold the individual DMs

### See Also

DMDestroy(), DMCompositeAddDM(), DMCreateGlobalVector(), DMCompositeGetEntries()
DMCompositeGather(), DMCompositeCreate(), DMCompositeGetISLocalToGlobalMappings(), DMCompositeGetAccess(), DMCompositeRestoreLocalVectors(), DMCompositeGetLocalVectors(), DMCompositeScatter(), DMCompositeGetLocalVectors(), DMCompositeRestoreLocalVectors()

### Level

advanced

### Location

src/dm/impls/composite/pack.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages